StExecutableImage::MemoryRegion Struct Reference

`#include <StExecutableImage.h>`

## Public Member Functions

uint32_t | endAddress () const
| Calculates the address of the last byte occupied by this region.
bool | operator== (const MemoryRegion &other)
| Equality operator. More...
uint32_t | endAddress () const
| Calculates the address of the last byte occupied by this region.
bool | operator== (const MemoryRegion &other) const
| Equality operator. More...

## Public Attributes

MemoryRegionType | m_type
| Memory region type.
uint32_t | m_address
| The 32-bit start address of this region.
uint32_t | m_length
| Number of bytes in this region.
uint8_t * | m_data
| Pointer to data. Will be NULL for FILL_REGION type.
unsigned | m_flags
| Flags for the region.

## Detailed Description

Representation of a contiguous region of memory.

Representation of a contiguous region of memory.

## Member Function Documentation

bool StExecutableImage::MemoryRegion::operator== | ( | const MemoryRegion & | other | ) |

Equality operator.

Used when we remove a region from the region list by value. Because this operator compares the m_data member, it will only return true for either an exact copy or a reference to the original.

bool StExecutableImage::MemoryRegion::operator== | ( | const MemoryRegion & | other | ) | const

Equality operator.

Used when we remove a region from the region list by value. Because this operator compares the m_data member, it will only return true for either an exact copy or a reference to the original.

The documentation for this struct was generated from the following files:

- apps/elftosb/common/StExecutableImage.h
- apps/elftosb/common/StExecutableImage.cpp